/*
SQLyog Ultimate v11.11 (64 bit)
MySQL - 5.5.5-10.1.21-MariaDB : Database - vmusicchart
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`vmusicchart` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `vmusicchart`;

/*Table structure for table `access_action` */

DROP TABLE IF EXISTS `access_action`;

CREATE TABLE `access_action` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `controller_id` int(11) NOT NULL,
  `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Ten action',
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1' COMMENT '0=off, 1=on',
  `is_default` int(1) DEFAULT '0' COMMENT '0:Không đặt mặc định, 1:Mặc định tạo ra khi thêm user',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_access_action_access_controller1_idx` (`controller_id`),
  CONSTRAINT `fk_access_action_access_controller1` FOREIGN KEY (`controller_id`) REFERENCES `access_controller` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `access_action` */

LOCK TABLES `access_action` WRITE;

UNLOCK TABLES;

/*Table structure for table `access_controller` */

DROP TABLE IF EXISTS `access_controller`;

CREATE TABLE `access_controller` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Ten controller',
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT '1' COMMENT '0=off, 1=on',
  `is_default` int(1) DEFAULT '0' COMMENT '0:Không tạo mặc định, 1:Tạo mặc định khi thêm mới user',
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `access_controller` */

LOCK TABLES `access_controller` WRITE;

UNLOCK TABLES;

/*Table structure for table `action_log` */

DROP TABLE IF EXISTS `action_log`;

CREATE TABLE `action_log` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `actor_id` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `actor_name` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `action` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'ADDED, UPDATED, DELETED, WARNING_DEV, SUPPEND_DEV, SUPPEND_APP, RESET_PASSWORD',
  `description` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `model` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `table` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `record_id` bigint(20) DEFAULT NULL,
  `ip_address` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `action_log` */

LOCK TABLES `action_log` WRITE;

insert  into `action_log`(`id`,`actor_id`,`actor_name`,`action`,`description`,`model`,`table`,`record_id`,`ip_address`,`created_at`,`updated_at`) values (1,'1','doanpv','CHANGED_ACTIVE','Cố ý cập nhật trạng thái người khác có ID=1','madmin','admin',1,'::1','2020-03-04 11:51:07','2020-03-04 11:51:07');

UNLOCK TABLES;

/*Table structure for table `admin` */

DROP TABLE IF EXISTS `admin`;

CREATE TABLE `admin` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL COMMENT 'Nhóm quyền',
  `fullname` varchar(255) DEFAULT NULL COMMENT 'Họ và tên',
  `username` varchar(255) DEFAULT NULL COMMENT 'Tên đăng nhập',
  `salt` varchar(255) DEFAULT NULL COMMENT 'Chuỗi bảo mật',
  `password` varchar(255) DEFAULT NULL COMMENT 'Mật khẩu mã hóa',
  `email` varchar(255) DEFAULT NULL COMMENT 'Email',
  `is_active` tinyint(1) DEFAULT '0' COMMENT '0: Ngừng hoạt động, 1: Hoạt động',
  `is_super` tinyint(1) DEFAULT '0' COMMENT '0: User thường, 1: Super User',
  `created_at` datetime DEFAULT NULL COMMENT 'Ngày tạo',
  `updated_at` datetime DEFAULT NULL COMMENT 'Ngày cập nhật',
  PRIMARY KEY (`id`),
  KEY `fk_admin_group1_idx` (`group_id`),
  CONSTRAINT `fk_admin_group1` FOREIGN KEY (`group_id`) REFERENCES `group` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

/*Data for the table `admin` */

LOCK TABLES `admin` WRITE;

insert  into `admin`(`id`,`group_id`,`fullname`,`username`,`salt`,`password`,`email`,`is_active`,`is_super`,`created_at`,`updated_at`) values (1,2,'Pham Van Doan','doanpv',NULL,'5ef922d5c159b476638747a36b0d5e382998b2cb89ce3783783ed4f01ce39cfd','doanpv@dcv.vn',1,1,'2020-03-04 11:47:25','2020-03-04 11:47:27'),(2,1,'Ha Thi Hong Ngoc','ngochth',NULL,'88c21c261821fdab37dd64705871dd8a38a4a9e4e7b9def956ae55ddcbee2414','ngochth@dcv.vn',1,1,'2020-03-04 11:47:25','2020-03-04 11:47:27');

UNLOCK TABLES;

/*Table structure for table `admin_access_action` */

DROP TABLE IF EXISTS `admin_access_action`;

CREATE TABLE `admin_access_action` (
  `admin_id` int(11) NOT NULL,
  `access_action_id` int(11) NOT NULL,
  PRIMARY KEY (`admin_id`,`access_action_id`),
  KEY `fk_admin_has_access_action_admin1_idx` (`admin_id`),
  KEY `fk_admin_has_access_action_access_action1_idx` (`access_action_id`),
  CONSTRAINT `fk_admin_has_access_action_access_action1` FOREIGN KEY (`access_action_id`) REFERENCES `access_action` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_admin_has_access_action_admin1` FOREIGN KEY (`admin_id`) REFERENCES `admin` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `admin_access_action` */

LOCK TABLES `admin_access_action` WRITE;

UNLOCK TABLES;

/*Table structure for table `group` */

DROP TABLE IF EXISTS `group`;

CREATE TABLE `group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Ten nhom',
  `description` varchar(255) COLLATE utf8_unicode_ci NOT NULL COMMENT 'Mo ta',
  `is_active` tinyint(1) NOT NULL DEFAULT '1' COMMENT 'Kich hoat',
  `is_super_group` tinyint(1) DEFAULT '0' COMMENT 'super group',
  `group_type` int(1) DEFAULT '0' COMMENT 'Loại nhóm: 0:Nhóm thông thường, 1:Nhóm đối tác truyền thông, 2:Nhóm Super Admin',
  `created_at` datetime DEFAULT NULL COMMENT 'Ngay tao',
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `group` */

LOCK TABLES `group` WRITE;

insert  into `group`(`id`,`name`,`description`,`is_active`,`is_super_group`,`group_type`,`created_at`,`updated_at`) values (1,'Admin','Admin',1,0,0,'2017-02-13 17:40:36','2017-02-18 18:08:48'),(2,'SuperAdmin','SuperAdmin',1,0,0,'2017-02-13 17:41:41','2017-02-17 14:08:03'),(3,'Client','Client',1,0,0,'2017-02-17 14:12:24','2017-02-17 14:12:43');

UNLOCK TABLES;

/*Table structure for table `group_access_controller` */

DROP TABLE IF EXISTS `group_access_controller`;

CREATE TABLE `group_access_controller` (
  `group_id` int(11) NOT NULL,
  `access_controller_id` int(11) NOT NULL,
  PRIMARY KEY (`group_id`,`access_controller_id`),
  KEY `fk_group_has_access_controller_access_controller1_idx` (`access_controller_id`),
  KEY `fk_group_has_access_controller_group1_idx` (`group_id`),
  CONSTRAINT `fk_group_has_access_controller_access_controller1` FOREIGN KEY (`access_controller_id`) REFERENCES `access_controller` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_group_has_access_controller_group1` FOREIGN KEY (`group_id`) REFERENCES `group` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `group_access_controller` */

LOCK TABLES `group_access_controller` WRITE;

UNLOCK TABLES;

/*Table structure for table `user_log` */

DROP TABLE IF EXISTS `user_log`;

CREATE TABLE `user_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `action` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'LOGIN, LOGOUT',
  `time_login` datetime DEFAULT NULL,
  `account_input` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ip_address` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL,
  `user_agent` text COLLATE utf8_unicode_ci,
  `type` varchar(45) COLLATE utf8_unicode_ci DEFAULT 'BE' COMMENT 'BE, FE',
  `result` varchar(45) COLLATE utf8_unicode_ci DEFAULT NULL COMMENT 'SUCCESS, FAILED',
  `time_logout` datetime DEFAULT NULL,
  `duration` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=66 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

/*Data for the table `user_log` */

LOCK TABLES `user_log` WRITE;

insert  into `user_log`(`id`,`action`,`time_login`,`account_input`,`ip_address`,`user_agent`,`type`,`result`,`time_logout`,`duration`) values (1,'LOGIN/LOGOUT','2020-03-04 11:47:47','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-04 11:48:51',64),(2,'LOGIN/LOGOUT','2020-03-04 11:49:02','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-04 13:33:53',6291),(3,'LOGIN/LOGOUT','2020-03-04 13:34:12','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(4,'LOGIN/LOGOUT','2020-03-04 13:53:17','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(5,'LOGIN/LOGOUT','2020-03-04 13:53:27','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(6,'LOGIN','2020-03-04 13:53:29','Pham','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','FAILED',NULL,NULL),(7,'LOGIN/LOGOUT','2020-03-04 13:53:41','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(8,'LOGIN/LOGOUT','2020-03-04 13:54:20','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(9,'LOGIN/LOGOUT','2020-03-04 13:56:00','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(10,'LOGIN/LOGOUT','2020-03-04 13:57:39','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(11,'LOGIN/LOGOUT','2020-03-04 13:59:50','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-04 14:00:20',30),(12,'LOGIN/LOGOUT','2020-03-04 14:00:39','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(13,'LOGIN/LOGOUT','2020-03-04 14:04:25','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-04 17:53:15',13730),(14,'LOGIN/LOGOUT','2020-03-05 09:19:28','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 10:16:56',3448),(15,'LOGIN/LOGOUT','2020-03-05 10:15:50','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:73.0) Gecko/20100101 Firefox/73.0','BE','SUCCESS',NULL,NULL),(16,'LOGIN/LOGOUT','2020-03-05 10:16:12','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:73.0) Gecko/20100101 Firefox/73.0','BE','SUCCESS',NULL,NULL),(17,'LOGIN/LOGOUT','2020-03-05 10:17:02','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(18,'LOGIN/LOGOUT','2020-03-05 10:19:42','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 10:19:48',6),(19,'LOGIN/LOGOUT','2020-03-05 10:22:34','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(20,'LOGIN/LOGOUT','2020-03-05 10:22:55','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(21,'LOGIN/LOGOUT','2020-03-05 10:24:29','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(22,'LOGIN/LOGOUT','2020-03-05 10:24:38','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(23,'LOGIN/LOGOUT','2020-03-05 10:26:58','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(24,'LOGIN/LOGOUT','2020-03-05 10:29:08','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 10:32:22',193),(25,'LOGIN/LOGOUT','2020-03-05 10:29:17','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:73.0) Gecko/20100101 Firefox/73.0','BE','SUCCESS','2020-03-05 10:30:21',64),(26,'LOGIN/LOGOUT','2020-03-05 10:30:28','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:73.0) Gecko/20100101 Firefox/73.0','BE','SUCCESS','2020-03-05 10:30:36',8),(27,'LOGIN/LOGOUT','2020-03-05 10:31:55','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:73.0) Gecko/20100101 Firefox/73.0','BE','SUCCESS',NULL,NULL),(28,'LOGIN/LOGOUT','2020-03-05 10:32:10','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:73.0) Gecko/20100101 Firefox/73.0','BE','SUCCESS',NULL,NULL),(29,'LOGIN/LOGOUT','2020-03-05 10:33:13','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(30,'LOGIN/LOGOUT','2020-03-05 10:34:32','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 10:34:38',6),(31,'LOGIN/LOGOUT','2020-03-05 10:35:23','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(32,'LOGIN/LOGOUT','2020-03-05 10:35:30','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(33,'LOGIN/LOGOUT','2020-03-05 10:36:23','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(34,'LOGIN/LOGOUT','2020-03-05 10:39:23','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(35,'LOGIN/LOGOUT','2020-03-05 10:39:44','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(36,'LOGIN/LOGOUT','2020-03-05 10:41:45','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(37,'LOGIN/LOGOUT','2020-03-05 10:42:18','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(38,'LOGIN/LOGOUT','2020-03-05 10:42:40','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(39,'LOGIN/LOGOUT','2020-03-05 10:44:00','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(40,'LOGIN/LOGOUT','2020-03-05 10:45:34','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(41,'LOGIN/LOGOUT','2020-03-05 10:46:15','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 10:51:19',304),(42,'LOGIN/LOGOUT','2020-03-05 10:51:27','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(43,'LOGIN/LOGOUT','2020-03-05 10:51:32','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(44,'LOGIN/LOGOUT','2020-03-05 10:54:06','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 10:54:10',4),(45,'LOGIN/LOGOUT','2020-03-05 10:54:18','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(46,'LOGIN/LOGOUT','2020-03-05 10:54:44','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(47,'LOGIN/LOGOUT','2020-03-05 10:57:40','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(48,'LOGIN/LOGOUT','2020-03-05 10:58:54','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 11:00:43',109),(49,'LOGIN/LOGOUT','2020-03-05 11:00:53','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(50,'LOGIN/LOGOUT','2020-03-05 11:01:20','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(51,'LOGIN/LOGOUT','2020-03-05 11:02:51','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 11:03:18',26),(52,'LOGIN/LOGOUT','2020-03-05 11:03:28','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(53,'LOGIN/LOGOUT','2020-03-05 11:09:19','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 14:28:48',11969),(54,'LOGIN/LOGOUT','2020-03-05 14:28:57','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(55,'LOGIN/LOGOUT','2020-03-05 14:35:38','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 14:48:06',748),(56,'LOGIN/LOGOUT','2020-03-05 14:48:22','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 14:50:08',106),(57,'LOGIN/LOGOUT','2020-03-05 14:58:04','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(58,'LOGIN/LOGOUT','2020-03-05 15:06:49','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(59,'LOGIN/LOGOUT','2020-03-05 15:07:11','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 15:07:20',9),(60,'LOGIN/LOGOUT','2020-03-05 15:07:48','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 15:11:48',240),(61,'LOGIN/LOGOUT','2020-03-05 15:12:02','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 15:34:37',1355),(62,'LOGIN/LOGOUT','2020-03-05 15:15:38','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 15:16:08',30),(63,'LOGIN/LOGOUT','2020-03-05 15:16:17','ngochth','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL),(64,'LOGIN/LOGOUT','2020-03-05 15:37:29','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS','2020-03-05 16:48:32',4263),(65,'LOGIN/LOGOUT','2020-03-05 16:49:33','doanpv','::1','Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/80.0.3987.122 Safari/537.36','BE','SUCCESS',NULL,NULL);

UNLOCK TABLES;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
